<?php

/**
 * Add additional classes for <body>
 */
add_filter( 'body_class', 'arts_add_body_classes' );
function arts_add_body_classes( $classes ) {
	$page_ajax_to_enabled   = arts_get_document_option( 'page_ajax_to_enabled', 'yes' );
	$page_ajax_from_enabled = arts_get_document_option( 'page_ajax_from_enabled', 'yes' );
	$body_classes           = array();

	// Disable AJAX transitions TO this page
	if ( ! $page_ajax_to_enabled ) {
		$body_classes[] = 'page-no-ajax';
	}

	// Disable AJAX transitions FROM this page
	if ( ! $page_ajax_from_enabled ) {
		$body_classes[] = 'no-ajax';
	}

	if ( arts_is_built_with_elementor() ) {
		$body_classes[] = 'elementor-built';
	}

	$classes = array_merge( $classes, $body_classes );

	return $classes;
}
