<?php

$priority = 1;

Kirki::add_field(
	'arts',
	array(
		'type'        => 'switch',
		'settings'    => 'high_performance_gpu_enabled',
		'label'       => esc_html__( 'Prefer High-Performance GPU', 'kinsey' ),
		'description' => esc_html__( 'Tell desktop browsers to use high-performance GPU on dual GPU systems for the website rendering. Doesn\'t have an effect on touch devices.', 'kinsey' ),
		'section'     => 'performance',
		'default'     => true,
		'priority'    => $priority++,
	)
);

Kirki::add_field(
	'arts',
	array(
		'type'     => 'generic',
		'settings' => 'performance_generic_divider' . $priority,
		'section'  => 'performance',
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'hr',
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'type'        => 'switch',
		'settings'    => 'full_size_images_enabled',
		'label'       => esc_html__( 'Force Load Full Size Images', 'kinsey' ),
		'description' => esc_html__( 'Always use the original images uploaded to media library and don\'t use the WordPress generated thumbnails.', 'kinsey' ),
		'section'     => 'performance',
		'default'     => false,
		'priority'    => $priority++,
	)
);

Kirki::add_field(
	'arts',
	array(
		'type'        => 'switch',
		'settings'    => 'seo_noscript_images_enabled',
		'label'       => esc_html__( 'Render SEO-friendly Images', 'kinsey' ),
		'description' => esc_html__( 'When enabled, a non-lazy image wrapped to <noscript> will be rendered for every lazy image. This might help search engine crawlers to correctly index the site images.', 'kinsey' ),
		'section'     => 'performance',
		'default'     => false,
		'priority'    => $priority++,
	)
);

Kirki::add_field(
	'arts',
	array(
		'type'        => 'radio-buttonset',
		'settings'    => 'lazy_placeholder_type',
		'label'       => esc_html__( 'Lazy Placeholder', 'kinsey' ),
		'description' => esc_html__( 'Temporary lightweight image that appears before a lazy image is fully loaded.', 'kinsey' ),
		'section'     => 'performance',
		'default'     => 'inline',
		'priority'    => $priority++,
		'choices'     => array(
			'inline'       => esc_html__( 'Inline Source', 'kinsey' ),
			'custom_image' => esc_html__( 'Custom Image', 'kinsey' ),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'type'            => 'textarea',
		'settings'        => 'lazy_placeholder_inline',
		'description'     => esc_html__( 'Base64 encoded image or external URL that will be appended to <img src="..."> attribute.', 'kinsey' ),
		'section'         => 'performance',
		'default'         => 'data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAHCGzyUAAAABGdBTUEAALGPC/xhBQAAADhlWElmTU0AKgAAAAgAAYdpAAQAAAABAAAAGgAAAAAAAqACAAQAAAABAAAAAaADAAQAAAABAAAAAQAAAADa6r/EAAAAC0lEQVQI12NolQQAASYAn89qhTcAAAAASUVORK5CYII=',
		'priority'        => $priority++,
		'active_callback' => array(
			array(
				'setting' => 'lazy_placeholder_type',
				'value'   => 'inline',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'type'            => 'image',
		'settings'        => 'lazy_placeholder_image_url',
		'section'         => 'performance',
		'default'         => '',
		'priority'        => $priority++,
		'active_callback' => array(
			array(
				'setting' => 'lazy_placeholder_type',
				'value'   => 'custom_image',
			),
		),
	)
);
